import java.io.*;

public class StreamFileCopier {
    public StreamFileCopier() {}

    public void copy(String srcFile, String destFile) throws IOException {
	InputStream srcStream = new FileInputStream(srcFile);
        OutputStream destStream = new FileOutputStream(destFile);
	
	byte[] buffer = new byte[4096];

        try {
            while (true) {
		int l = srcStream.read(buffer);
                if (l < 0) {
                    break;
                }
                
                destStream.write(buffer);
            }
        } finally {
            srcStream.close();
            destStream.close();
        }
    }

    public static void main(String[] args) {
        StreamFileCopier copier = new StreamFileCopier();
        if (args.length == 2) {
            try {
                copier.copy(args[0], args[1]);
            } catch (IOException ex) {
                System.err.println("Copy Ɏs܂");
            }
        }
    }
}
